Package org.apache.sysds.runtime.io.hdf5.message

# Class H5SymbolTableMessage

java.lang.Object
org.apache.sysds.runtime.io.hdf5.message.H5Message
org.apache.sysds.runtime.io.hdf5.message.H5SymbolTableMessage

public class H5SymbolTableMessage extends H5Message

## Constructor Summary

Constructors
Constructor
Description
`H5SymbolTableMessage(H5RootObject rootObject, BitSet flags, long bTreeAddress, long localHeapAddress)`
`H5SymbolTableMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getbTreeAddress()`
`long`
`getLocalHeapAddress()`
`void`
`toBuffer(H5BufferBuilder bb)`

### Methods inherited from class org.apache.sysds.runtime.io.hdf5.message.H5Message

`readObjectHeaderMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### H5SymbolTableMessage

public H5SymbolTableMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)

### H5SymbolTableMessage

public H5SymbolTableMessage(H5RootObject rootObject, BitSet flags, long bTreeAddress, long localHeapAddress)

## Method Details

### toBuffer

public void toBuffer(H5BufferBuilder bb)

### getbTreeAddress

public long getbTreeAddress()

### getLocalHeapAddress

public long getLocalHeapAddress()